Bug 178640 - net/svnup 0.71 seems to not respect -r option
Summary: net/svnup 0.71 seems to not respect -r option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-14 19:30 UTC by markiyan.kushnir
Modified: 2013-05-17 00:00 UTC (History)
0 users

See Also:


Attachments
file.txt (613 bytes, text/plain)
2013-05-14 19:30 UTC, markiyan.kushnir
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description markiyan.kushnir 2013-05-14 19:30:01 UTC
The 0.71 version of svnup always checks out or updates to the latest revision regardless of the -r command line option. The "latest revision" used to and should be the default behavior in case no -r option was passed in.

Seen in:
# svnup -V
svnup version 0.71

Fix: Patch attached with submission follows:
How-To-Repeat: # svnup current -r 248000
Fetching revision: 250633
Comment 1 Edwin Groothuis freebsd_committer 2013-05-14 19:30:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

jgh@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-05-14 19:30:14 UTC
Maintainer of net/svnup,

Please note that PR ports/178640 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/178640

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-05-14 19:30:15 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 dfilter service freebsd_committer 2013-05-16 23:55:11 UTC
Author: jgh
Date: Thu May 16 22:54:58 2013
New Revision: 318343
URL: http://svnweb.freebsd.org/changeset/ports/318343

Log:
  - update to 0.72
  
  svnup-0.72 - 16 May 2013
    - Fixed a bug with the -r command line option. [1]
    - Added a progress indicator to the output when the verbosity is > 1.
    - More code cleanup - special thanks to Eitan Adler <lists@eitanadler.com>.
    - Switched from non-blocking to blocking I/O
  
  PR:		178640 [1]
  Reported by:	markiyan.kushnir@gmail.com

Modified:
  head/net/svnup/Makefile
  head/net/svnup/distinfo

Modified: head/net/svnup/Makefile
==============================================================================
--- head/net/svnup/Makefile	Thu May 16 22:46:38 2013	(r318342)
+++ head/net/svnup/Makefile	Thu May 16 22:54:58 2013	(r318343)
@@ -1,7 +1,7 @@
 # $FreeBSD$
 
 PORTNAME=	svnup
-PORTVERSION=	0.71
+PORTVERSION=	0.72
 CATEGORIES=	net
 MASTER_SITES=	http://jcm.dsl.visi.com/freebsd/svnup/ \
 		LOCAL/jgh/net/${PORTNAME}/ \

Modified: head/net/svnup/distinfo
==============================================================================
--- head/net/svnup/distinfo	Thu May 16 22:46:38 2013	(r318342)
+++ head/net/svnup/distinfo	Thu May 16 22:54:58 2013	(r318343)
@@ -1,2 +1,2 @@
-SHA256 (svnup-0.71.tar.xz) = 9307854aba3c8dc4b77761e90d9b2706c13bef1315193df2f3902a0c6e3aa360
-SIZE (svnup-0.71.tar.xz) = 16172
+SHA256 (svnup-0.72.tar.xz) = e03d541eceea5f2bf13ec4dc7fecbe326b93c39f393c9bda3efb2508fe0a2686
+SIZE (svnup-0.72.tar.xz) = 16508
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Jason Helfman freebsd_committer 2013-05-16 23:57:35 UTC
State Changed
From-To: feedback->closed

fixed in r318343